info.bioinfweb.jphyloio.dataadapters.implementations

## Class EmptyAnnotatedDataAdapter<E extends JPhyloIOEvent>

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter<E>

- All Implemented Interfaces:
    AnnotatedDataAdapter
  Direct Known Subclasses:
    EmptyDocumentDataAdapter, ListBasedDocumentDataAdapter, NoCharDefsNoSetsMatrixDataAdapter, NoSetsTreeNetworkDataAdapter, NoSetsTreeNetworkGroupDataAdapter

      public abstract class EmptyAnnotatedDataAdapter<E extends JPhyloIOEvent>
      extends java.lang.Object
      implements AnnotatedDataAdapter

  Default implementation of `AnnotatedDataAdapter`, which does not generate any metaevents. Implementations that do not specify any metadata can be inherited from this class.
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyAnnotatedDataAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeMetadata(ReadWriteParameterMap parameters, JPhyloIOEventReceiver receiver)` This default implementation does nothing and can be overwritten by inherited classes if necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyAnnotatedDataAdapter

          public EmptyAnnotatedDataAdapter()

  - ### Method Detail

    - #### writeMetadata

          public void writeMetadata(ReadWriteParameterMap parameters,
                                    JPhyloIOEventReceiver receiver)
                             throws java.io.IOException

      This default implementation does nothing and can be overwritten by inherited classes if necessary.
      Specified by:
        `writeMetadata` in interface `AnnotatedDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
        `receiver` - the writer accepting the events
      Throws:
        `java.io.IOException`